Bug 985788 - [abrt] pulseaudio-3.0-10.el7: raise: Process /usr/bin/pulseaudio was killed by signal 6 (SIGABRT)
[abrt] pulseaudio-3.0-10.el7: raise: Process /usr/bin/pulseaudio was killed b...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pulseaudio (Show other bugs)
7.0
x86_64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Wim Taymans
Desktop QE
abrt_hash:0c657eae620ad79487764c82057...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 05:05 EDT by Martin Bříza
Modified: 2014-03-04 11:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-04 11:21:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (11.74 KB, text/plain)
2013-07-18 05:05 EDT, Martin Bříza
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-18 05:05 EDT, Martin Bříza
no flags Details
File: core_backtrace (1.30 KB, text/plain)
2013-07-18 05:05 EDT, Martin Bříza
no flags Details
File: dso_list (7.54 KB, text/plain)
2013-07-18 05:05 EDT, Martin Bříza
no flags Details
File: environ (1.91 KB, text/plain)
2013-07-18 05:05 EDT, Martin Bříza
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-18 05:05 EDT, Martin Bříza
no flags Details
File: maps (36.61 KB, text/plain)
2013-07-18 05:05 EDT, Martin Bříza
no flags Details
File: open_fds (1.27 KB, text/plain)
2013-07-18 05:05 EDT, Martin Bříza
no flags Details
File: proc_pid_status (1.05 KB, text/plain)
2013-07-18 05:05 EDT, Martin Bříza
no flags Details
File: var_log_messages (4.91 KB, text/plain)
2013-07-18 05:05 EDT, Martin Bříza
no flags Details

  None (edit)
Description Martin Bříza 2013-07-18 05:05:21 EDT
Description of problem:
Paired my phone with the KDE Bluetooth applet, then started the audio service on the phone and tried to play a song from the phone.

Version-Release number of selected component:
pulseaudio-3.0-10.el7

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start
crash_function: raise
executable:     /usr/bin/pulseaudio
fips_enabled:   1
kernel:         3.10.0-1.el7.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (6 frames)
 #2 bt_transport_acquire at /usr/lib64/pulse-3.0/modules/module-bluetooth-device.so
 #3 filter_cb at /usr/lib64/pulse-3.0/modules/module-bluetooth-device.so
 #5 dispatch_cb at /usr/lib64/pulseaudio/libpulsecommon-3.0.so
 #6 pa_mainloop_dispatch at /lib64/libpulse.so.0
 #7 pa_mainloop_iterate at /lib64/libpulse.so.0
 #8 pa_mainloop_run at /lib64/libpulse.so.0
Comment 1 Martin Bříza 2013-07-18 05:05:24 EDT
Created attachment 775207 [details]
File: backtrace
Comment 2 Martin Bříza 2013-07-18 05:05:27 EDT
Created attachment 775208 [details]
File: cgroup
Comment 3 Martin Bříza 2013-07-18 05:05:34 EDT
Created attachment 775209 [details]
File: core_backtrace
Comment 4 Martin Bříza 2013-07-18 05:05:36 EDT
Created attachment 775210 [details]
File: dso_list
Comment 5 Martin Bříza 2013-07-18 05:05:39 EDT
Created attachment 775211 [details]
File: environ
Comment 6 Martin Bříza 2013-07-18 05:05:43 EDT
Created attachment 775212 [details]
File: limits
Comment 7 Martin Bříza 2013-07-18 05:05:46 EDT
Created attachment 775213 [details]
File: maps
Comment 8 Martin Bříza 2013-07-18 05:05:50 EDT
Created attachment 775214 [details]
File: open_fds
Comment 9 Martin Bříza 2013-07-18 05:05:53 EDT
Created attachment 775215 [details]
File: proc_pid_status
Comment 10 Martin Bříza 2013-07-18 05:05:56 EDT
Created attachment 775216 [details]
File: var_log_messages
Comment 11 Martin Bříza 2013-07-18 05:06:30 EDT
Happened in FIPS mode, can't tell if that's relevant
Comment 13 Wim Taymans 2014-02-24 04:39:54 EST
I have trouble reproducing this. Can this be reproduced reliably?
Comment 14 Martin Bříza 2014-02-24 08:27:58 EST
Tried now with pulseaudio-4.0-9.gitf81e3.fc20.x86_64 and music is played just fine, no crashes.
Comment 15 Wim Taymans 2014-02-24 11:11:16 EST
Can you try to reproduce in RHEL7?
Comment 17 Martin Bříza 2014-02-25 06:21:40 EST
Doesn't crash either, works fine now
Comment 18 Martin Bříza 2014-02-25 07:12:13 EST
pulseaudio-3.0-22.el7.x86_64

Note You need to log in before you can comment on or make changes to this bug.